ApiHive3ReplicationQueryResultRow (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationQueryResultRow

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationQueryResultRow

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHive3ReplicationQueryResultRow
      extends Object

  ApiHive3ReplicationQueryResultRow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationQueryResultRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiHive3ReplicationMetricsResultRow` | `getReplicationMetricsResultRow()` Get replicationMetricsResultRow
    `ApiHive3ReplicationScheduledExecutionsResultRow` | `getScheduledExecutionsResultRow()` Get scheduledExecutionsResultRow
    `ApiHive3ReplicationScheduledQueriesResultRow` | `getScheduledQueriesResultRow()` Get scheduledQueriesResultRow
    `int` | `hashCode()`
    `ApiHive3ReplicationQueryResultRow` | `replicationMetricsResultRow(ApiHive3ReplicationMetricsResultRow replicationMetricsResultRow)`
    `ApiHive3ReplicationQueryResultRow` | `scheduledExecutionsResultRow(ApiHive3ReplicationScheduledExecutionsResultRow scheduledExecutionsResultRow)`
    `ApiHive3ReplicationQueryResultRow` | `scheduledQueriesResultRow(ApiHive3ReplicationScheduledQueriesResultRow scheduledQueriesResultRow)`
    `void` | `setReplicationMetricsResultRow(ApiHive3ReplicationMetricsResultRow replicationMetricsResultRow)`
    `void` | `setScheduledExecutionsResultRow(ApiHive3ReplicationScheduledExecutionsResultRow scheduledExecutionsResultRow)`
    `void` | `setScheduledQueriesResultRow(ApiHive3ReplicationScheduledQueriesResultRow scheduledQueriesResultRow)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationQueryResultRow

          public ApiHive3ReplicationQueryResultRow()

  - ### Method Detail

    - #### scheduledQueriesResultRow

          public ApiHive3ReplicationQueryResultRow scheduledQueriesResultRow(ApiHive3ReplicationScheduledQueriesResultRow scheduledQueriesResultRow)

    - #### getScheduledQueriesResultRow

          public ApiHive3ReplicationScheduledQueriesResultRow getScheduledQueriesResultRow()

      Get scheduledQueriesResultRow
      Returns:
        scheduledQueriesResultRow

    - #### setScheduledQueriesResultRow

          public void setScheduledQueriesResultRow(ApiHive3ReplicationScheduledQueriesResultRow scheduledQueriesResultRow)

    - #### scheduledExecutionsResultRow

          public ApiHive3ReplicationQueryResultRow scheduledExecutionsResultRow(ApiHive3ReplicationScheduledExecutionsResultRow scheduledExecutionsResultRow)

    - #### getScheduledExecutionsResultRow

          public ApiHive3ReplicationScheduledExecutionsResultRow getScheduledExecutionsResultRow()

      Get scheduledExecutionsResultRow
      Returns:
        scheduledExecutionsResultRow

    - #### setScheduledExecutionsResultRow

          public void setScheduledExecutionsResultRow(ApiHive3ReplicationScheduledExecutionsResultRow scheduledExecutionsResultRow)

    - #### replicationMetricsResultRow

          public ApiHive3ReplicationQueryResultRow replicationMetricsResultRow(ApiHive3ReplicationMetricsResultRow replicationMetricsResultRow)

    - #### getReplicationMetricsResultRow

          public ApiHive3ReplicationMetricsResultRow getReplicationMetricsResultRow()

      Get replicationMetricsResultRow
      Returns:
        replicationMetricsResultRow

    - #### setReplicationMetricsResultRow

          public void setReplicationMetricsResultRow(ApiHive3ReplicationMetricsResultRow replicationMetricsResultRow)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.